imgSize = size_of_img;

[newImg,pre,imgSize,grid_size,v] = MLS(oldImg, type, alpha, p, q, v, imgSize, grid_size, pre);
prex.w_i = [];
prex.sum_w_i = [];
prex.p_ast = [];
prex.Similarity = [];
%[newImg,prex,imgSize,grid_size,v] = MLS_mex(oldImg, type, alpha, p, q, [50,50], [],[],prex)


figure
imshow(newImg)
figure
imshow(oldImg)